# -*- coding: utf-8 -*-
# Generated by Django 1.10.5 on 2017-02-17 10:26
from __future__ import unicode_literals

import crma.models
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Channel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=80)),
                ('channel_id', models.CharField(max_length=80, unique=True)),
                ('from_address', models.CharField(help_text='"Name <email>" or "email"', max_length=200)),
                ('required', models.BooleanField(default=False)),
            ],
        ),
        migrations.CreateModel(
            name='Contact',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('email', models.CharField(max_length=200)),
                ('lang', models.CharField(blank=True, max_length=10)),
            ],
        ),
        migrations.CreateModel(
            name='Email',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('subject', models.CharField(max_length=200, verbose_name='Subject')),
                ('body', models.TextField(blank=True)),
                ('interval', models.DurationField()),
                ('enabled', models.BooleanField()),
                ('tag', models.CharField(blank=True, max_length=30)),
                ('email_id', models.CharField(max_length=50, unique=True)),
                ('channel', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='crma.Channel')),
            ],
        ),
        migrations.CreateModel(
            name='EmailScheduler',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('ctime', models.DateTimeField(auto_now_add=True)),
                ('sched_time', models.DateTimeField()),
                ('sent_time', models.DateTimeField(blank=True, null=True)),
                ('lang', models.CharField(blank=True, max_length=10)),
                ('from_address', models.CharField(blank=True, max_length=200, null=True)),
                ('status', models.CharField(choices=[('sent', 'Sent'), ('pending', 'Pending'), ('canceled', 'Canceled'), ('error', 'Error')], default='sent', max_length=20)),
                ('raw_extra_context', models.TextField(blank=True)),
                ('trace_error', models.TextField(blank=True)),
                ('key', models.CharField(blank=True, default=crma.models.get_crma_key, max_length=80)),
                ('contact', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='crma.Contact')),
                ('email', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='crma.Email')),
            ],
        ),
        migrations.CreateModel(
            name='MailingList',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=90)),
                ('all', models.BooleanField(default=False, help_text='If checked, ignore the "members" field. Every contact in the database will be considered a member of this mailing list.')),
                ('members', models.ManyToManyField(blank=True, to='crma.Contact')),
            ],
        ),
        migrations.CreateModel(
            name='Subscription',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('state', models.CharField(choices=[('subscribed', 'Subscribed'), ('unsubscribed', 'Unsubscribed')], default='subscribed', max_length=20)),
                ('unsubscribe_key', models.CharField(default=crma.models.generate_unsubscribe_key, max_length=40, verbose_name='Unsubscribe key')),
                ('channel', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='crma.Channel')),
                ('contact', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='crma.Contact')),
            ],
        ),
        migrations.AddField(
            model_name='contact',
            name='subscriptions',
            field=models.ManyToManyField(through='crma.Subscription', to='crma.Channel'),
        ),
    ]
